OpenMesh

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Namespaces | Classes | Functions
OpenMesh::Kernel_OSG Namespace Reference

In this namespace resides the OpenSG integration of OpenMesh. More...

## Namespaces
namespace | FP
| OpenSG Face Properties Adaptors.
namespace | VP
| OpenSG Vertex Properties Adaptors.

## Classes
class | ArrayKernelT
| Mesh kernel using arrays for mesh item storage. More...
class | AttribKernelT
| This class adds the standard properties to the mesh type. More...
class | PropertyKernel
| Helper class, extending functionaliy of OpenMesh::BaseKernel to OpenSG specific property adaptors. More...
class | oPropertyT
| Property adaptor for OpenSG GeoProperties. More...
struct | Traits
| Base class for all mesh traits using the OSGArrayKernelT. More...
struct | TriMesh_OSGArrayKernel_GeneratorT
| Helper class to create a TriMesh-type based on Kernel_OSG::ArrayKernelT. More...
class | TriMesh_OSGArrayKernelT
| Triangle mesh based on the Kernel_OSG::ArrayKernelT. More...

## Functions
bool | type_is_valid (unsigned char _t)
template<typename Mesh >
bool | bind (osg::GeometryPtr &_geo, Mesh &_mesh)
| Bind a OpenSG geometry to a mesh.
template<typename Mesh >
bool | bind (Mesh &_mesh, osg::GeometryPtr &_geo)
| Bind a mesh object to geometry.

## Detailed Description

In this namespace resides the OpenSG integration of OpenMesh.

Here you find the class OpenMesh::OSG_Kernel::TriMesh_OSGArrayKernelT<> and the template function OpenMesh::OSG_Kernel::bindT<> to link such a mesh with a OpenSG Geometry.

## Function Documentation

template<typename Mesh >

bool OpenMesh::Kernel_OSG::bind | ( | osg::GeometryPtr & | _geo,
|  | Mesh & | _mesh
| ) |  |
| inline

Bind a OpenSG geometry to a mesh.

Parameters

  _mesh | The mesh object to bind the geometry to.
  _geo | The geometry object to bind.

Returns
  true if the connection has been established else false.

template<typename Mesh >

bool OpenMesh::Kernel_OSG::bind | ( | Mesh & | _mesh,
|  | osg::GeometryPtr & | _geo
| ) |  |
| inline

Bind a mesh object to geometry.

The binder is able to handle non-indexed and indexed geometry. Multi-indexed geometry is not supported.

Parameters

  _mesh | The mesh object to bind.
  _geo | The geometry object to bind to.

Returns
  true if the connection has been established else false.